﻿using System;

using Android.App;
using Android.Content;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Android.Content.Res;
using Android.Util;
using Java.Util;

namespace GettingStartedRangeNavigator.Droid
{
    [Activity(Label = "GettingStartedRangeNavigator.Droid", Theme = "@android:style/Theme.Holo.Light", Icon = "@drawable/icon", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);

            Resources res = ApplicationContext.Resources;

			// Change locale settings in the app.
            DisplayMetrics dm = res.DisplayMetrics;
            Android.Content.Res.Configuration configuration = res.Configuration;
			configuration.SetLocale(new Locale("es")); // Your language
			res.UpdateConfiguration(configuration, dm);

            LoadApplication(new App());
        }
    }
}

